# stuhl.py

from grafikfenster import *
from moebel import Moebel

### ---------------------------------------------------
class Stuhl(Moebel):
    """Klasse Stuhl
    ermoeglicht das Zeichnen und Bearbeiten eines
    Stuhl-Symbols fuer den Raumplaner"""
    
    def __init__(self,
                 xPos=20,
                 yPos=20,
                 breite=40,
                 tiefe=40,
                 winkel=0,
                 farbe='blue',
                 sichtbar=False):
        """Konstruktor"""
        Moebel.__init__(self,xPos,yPos,breite,tiefe,winkel,farbe,sichtbar)
        
    def GibFigur(self):
        """definiert und transformiert die zu zeichnende Figur"""
        gc = Zeichenflaeche.GibZeichenflaeche().GibGC()
        path = gc.CreatePath()

        b,t=self.GibBreite(),self.GibTiefe()
        path.MoveToPoint(0, 0)
        path.AddLineToPoint(b, 0)
        path.AddLineToPoint(b*1.1, t)
        path.AddLineToPoint(-b*0.1, t)
        path.AddLineToPoint(0, 0)
        path.AddLineToPoint(0, -t*0.1)
        path.AddLineToPoint(b, -t*0.1)
        path.AddLineToPoint(b, 0)
        
        return self.Transformiere(path)


### ---------------------------------------------------
class StuhlApp(wx.App):
    """Test-Anwendung speziell fuer Stuhl"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        self.TestAnwendung()
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global stuhl
        stuhl=Stuhl(True)
        
### ---------------------------------------------------
if __name__ == '__main__':
    app = StuhlApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
